## com.rbnb.api
Class RBNBSSLSocketFactory

    java.lang.Object
      javax.net.SocketFactory
          javax.net.ssl.SSLSocketFactory
              com.rbnb.api.RBNBSSLSocketFactory

    public class RBNBSSLSocketFactory

extends SSLSocketFactory

RBNBSSLSocketFactory

Author:
  Eugen Kuleshov

Constructor Summary
`RBNBSSLSocketFactory()`

Method Summary
`Socket` `createSocket(InetAddress inaddr, int i)`
`Socket` `createSocket(InetAddress inaddr, int i, InetAddress inaddr1, int j)`
`Socket` `createSocket(Socket socket, String s, int i, boolean flag)`
`Socket` `createSocket(String s, int i)`
`Socket` `createSocket(String s, int i, InetAddress inaddr, int j)`
`static SocketFactory` `getDefault()`
`String[]` `getDefaultCipherSuites()`
`String[]` `getSupportedCipherSuites()`

Methods inherited from class javax.net.SocketFactory
`createSocket`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RBNBSSLSocketFactory

    public RBNBSSLSocketFactory()

Method Detail

### getDefault

    public static SocketFactory getDefault()

### createSocket

    public Socket createSocket(Socket socket,
                               String s,
                               int i,
                               boolean flag)
                        throws IOException

  Specified by:
    `createSocket` in class `SSLSocketFactory`
  Throws:
    `IOException`

### createSocket

    public Socket createSocket(InetAddress inaddr,
                               int i,
                               InetAddress inaddr1,
                               int j)
                        throws IOException

  Specified by:
    `createSocket` in class `SocketFactory`
  Throws:
    `IOException`

### createSocket

    public Socket createSocket(InetAddress inaddr,
                               int i)
                        throws IOException

  Specified by:
    `createSocket` in class `SocketFactory`
  Throws:
    `IOException`

### createSocket

    public Socket createSocket(String s,
                               int i,
                               InetAddress inaddr,
                               int j)
                        throws IOException

  Specified by:
    `createSocket` in class `SocketFactory`
  Throws:
    `IOException`

### createSocket

    public Socket createSocket(String s,
                               int i)
                        throws IOException

  Specified by:
    `createSocket` in class `SocketFactory`
  Throws:
    `IOException`

### getDefaultCipherSuites

    public String[] getDefaultCipherSuites()

  Specified by:
    `getDefaultCipherSuites` in class `SSLSocketFactory`

### getSupportedCipherSuites

    public String[] getSupportedCipherSuites()

  Specified by:
    `getSupportedCipherSuites` in class `SSLSocketFactory`